# $Revision: 1.5 $, $Date: 2011/11/09 19:21:37 $
Summary:	The GNU C Reference Manual
Summary(pl.UTF-8):	Dokumentacja GNU C
Name:		gnu-c-manual
Version:	0.2.2
Release:	1
License:	FDL v1.3+
Group:		Documentation
Source0:	http://ftp.gnu.org/gnu/gnu-c-manual/%{name}-%{version}.tar.gz
# Source0-md5:	c2233d5e6c6fb59143d94ccc9abd1b4a
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/gnu-c-manual/
BuildRequires:	texinfo
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GNU C Reference Manual is a reference for the C programming
language, as implemented by the GNU C Compiler.

This manual is strictly a reference, not a tutorial. Its aim is to
cover every linguistic construct in GNU C, but not the library
functions. This manual would probably not make a good introductory
book for new programmers, although those who know languages other than
C should be able to learn C using it.

This version covers the C89 standard.

%description -l pl.UTF-8
GNU C Reference Manual to dokumentacja języka programowania C
zaimplementowanego w kompilatorze gcc (GNU C Compiler).

Ten podręcznik jest tylko opisem, nie ma na celu nauki. Celem jest
pokrycie wszystkich konstrukcji językowych w GNU C, ale nie funkcji
bibliotecznych. Nie będzie najprawdopodobniej najlepszą książką
wprowadzającą dla nowych programistów, choć znający inne języki niż C
powinni być w stanie nauczyć się z niego C.

Ta wersja pokrywa standard C89.

%prep
%setup -q
%patch0 -p1

%build
makeinfo gnu-c-manual.texi

%install
rm -rf $RPM_BUILD_ROOT
install -D gnu-c-manual.info $RPM_BUILD_ROOT%{_infodir}/gnu-c-manual.info

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_infodir}/gnu-c-manual.info*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnu-c-manual.spec,v $
Revision 1.5  2011/11/09 19:21:37  qboosh
- updated to 0.2.2

Revision 1.4  2010/01/27 18:12:12  sparky
- BR: texinfo

Revision 1.3  2010/01/27 16:16:28  glen
- noarch; rel 2

Revision 1.2  2010/01/26 12:36:57  megabajt
- updated to 0.2.1

Revision 1.1  2008/06/11 20:51:20  qboosh
- new
